As a partner, you can move funds from one Funds Management Account (FMA) to another for a merchant within your partner network. Once you’ve successfully created a merchant with a Transaction Processing Account (TRA) and an FMA, that merchant can start processing payments and transferring funds.
Transfers can be performed as a standalone action to move available funds between merchants or partners. You can also transfer funds by splitting a transaction prior to funding if, for example, you need to collect service fees from merchants on a per-transaction basis.
In this guide, we first verify the merchant’s FMA details like balance and configuration and then initiate the transfer of funds as a standalone action using [POST] Transfer.
Before starting the steps in this guide, make sure you:
Before initiating a transfer, verify the FMA’s available balance and configuration settings.
For complete details on API requests and responses, see Get FMA Account Details in the API Explorer.
curl --compressed -X GET "https://apis.sandbox.globalpay.com/ucp/merchants/MER_31087d9c-e68c-4389-9f13-39378e166ea5/accounts/FMA_02ca6d0284b743449a28aadfb702c71c" \
-H "Authorization: Bearer G3FA4TuYGCBiCWs4YpzrALGCYXZJ" \
-H "X-GP-Version: 2021-03-22" \{
"id": "FMA_66999e5a39b9444f96777a2356f6c3b1",
"type": "FUND_MANAGEMENT",
"name": "718558106_209353",
"status": "ACTIVE",
"permissions": [
"TRF_POST_Reverse",
"FND_POST_Create"
],
"capabilities": [
"PAY_OUT_ENABLE",
"CARD_PROCESSING_OVER_LIMIT_ENABLE",
"ACH_PROCESSING_OVER_LIMIT_ENABLE"
],
"payment_processing_statistics": {
"card_transaction_limit_amount": "34",
"card_monthly_limit_amount": "1000",
"ach_per_transaction_limit_amount": "1000000",
"ach_monthly_limit_amount": "300000000",
"ach_month_to_date_processed_amount": "10000",
"card_month_to_date_processed_amount": "10000",
"available_balance": "10000",
"pending_balance": "10000",
"reserve_balance_amount": "0",
"allowed_negative_balance": "50000",
"disable_payout_card_limit_percentage": "300",
"disable_payout_ach_limit_percentage": "300"
},
"action": {
"id": "ACT_Cbh2UqnDHDq7kZKn9sCFnE9fNlgPKY",
"type": "ACCOUNT_SINGLE",
"time_created": "2022-11-09T20:16:08.696Z",
"result_code": "SUCCESS",
"app_id": "U1lRHKomEn7DN907RCDPxVhyMfiMLcfy",
"app_name": "demo_app"
}
}Once the FMA’s status and balance are verified, you can initiate the fund transfer. Transferred funds will be available immediately in the recipient’s FMA.
For complete details on API requests and responses, see [POST] Transfer in the API Explorer.
curl --location 'https://apis.sandbox.globalpay.com/ucp/merchants/MER_cf88a24cf78f46d9adb83524fa4eee7a/transfers' \
--header 'X-GP-Version: 2021-03-22' \
--header 'Authorization: Bearer Ekxp4eG90Cvjpq25dVusrTIUdvA8' \
--header 'Content-Type: application/json' \
--data-raw '{
"account_id" : "FMA_4c0059d3973644898665d85ece886369",
"recipient_account_id": "FMA_4c0059d3973644898665d85ece886369",
"reference": "invoice_123",
"amount": "1",
"description": "SKU#BLK-MED-G123-GUC",
"usable_balance": "AVAILABLE_BALANCE"
}'"id": "TRF_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"status": "CAPTURED",
"time_created": "2021-05-03T21:23:39.718Z",
"type": "TRANSFER",
"amount": "1",
"reference": "invoice_123",
"description": "SKU#BLK-MED-G123-GUC",
"action": {
"id": "ACT_uzFr7t4VOqxdLDI44hHmXIjHtOOE8d",
"type": "TRANSFER",
"time_created": "2021-05-03T21:23:39.718Z",
"result_code": "SUCCESS",
"app_id": "U1lRHKomEn7DN907RCDPxVhyMfiMLcfy",
"app_name": "demo_app"To get a deeper understanding of money movement, we recommend that you use our provided integration references for both API and SDK integrations. For the full detailed API specification, see the API Explorer.
See the full API specification for managing accounts.
See the full API specification for transferring funds.
Add server-side or client-side code to your integration.
This solution is available for testing in our free Sandbox environment for registered users of this developer portal. Use our resources below to start testing different scenarios.
Test different transaction outcomes with simulated cards or banks.
View, import, or fork our API collection in Postman.
View successful responses, HTTP status codes, action response data, and errors.
Below are recommended next steps for your partners integration.
Direct a portion of funds to collect fees and commissions.
Move funds back into a merchant’s account after a refund.
Credit or debit a merchant’s bank account from an ACH deposit.
Use account data to better support your merchants.